$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.143-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.143-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F11F40B8977873E089366946420BBC38980898E76B4C5BA93EA613ED65261FDE'
  checksumType = 'sha256'
  checksum64 = 'F11F40B8977873E089366946420BBC38980898E76B4C5BA93EA613ED65261FDE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.143-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
